<?php

// Dmarrage de la session
session_start();

// Importation du fichier configuration
require_once("./configuration.php");

// Vrifie que la maintenance n'est pas active
if($conf["maintenance"] != "oui") {

	// Dtermine si la variable page existe
	if(isset($_GET["page"])) {
	
		// Supprime le slash pour empcher de naviguer dans l'arbre du site
		$link = str_replace ("/", "", $_GET["page"]);
	
		// Si la page existe
		if(is_file("./pages/". $link .".php")) {
			
			// Importation du thme (haut)
			include("./themes/". $conf["theme"] ."/haut.php");
			
			// Importation de la page
			include("./pages/". $link .".php");
			
			// Importation du thme (bas)
			include("./themes/". $conf["theme"] ."/bas.php");
			
		}
		
		// Si la page n'existe pas
		else {
		
		// Importation du thme (haut)
		include("./themes/". $conf["theme"] ."/haut.php");
		
		// Importation de la page 404
		include("./404.php");
		
		// Importation du thme (bas)
		include("./themes/". $conf["theme"] ."/bas.php");
		
		}
	
	}
	
	// Dtermine si la variable module existe
	elseif(isset($_GET["module"])) {
	
		// Supprime le slash pour empcher de naviguer dans l'arbre du site
		$link = str_replace ("/", "", $_GET["module"]);
	
		// Si le module existe
		if(is_file("./modules/". $link ."/index.php")) {
			
			// Importation du module
			include("./modules/". $link ."/index.php");
			
		}
		
		// Si le module n'existe pas
		else {
		
		// Importation du thme (haut)
		include("./themes/". $conf["theme"] ."/haut.php");
		
		// Importation de la page 404
		include("./404.php");
		
		// Importation du thme (bas)
	include("./themes/". $conf["theme"] ."/bas.php");
		
		}
	
	}
	
	// Affiche la page index du site
	else {
	
		// Importation du thme (haut)
		include("./themes/". $conf["theme"] ."/haut.php");
		
		// Importation de la page index
		include("./pages/". $conf["index"] ."");
		
		// Importation du thme (bas)
		include("./themes/". $conf["theme"] ."/bas.php");
	
	}

}

else {

	header("location:./maintenance.php");
	exit;
	
}

?>